## pycdio 2.1.1

=== Makefile ===
# Compatibility for us old-timers.

# Note: This makefile include remake-style target comments.
# These comments before the targets start with #:
# remake --tasks to shows the targets and the comments

PHONY=build check clean dist distclean test
GIT2CL ?= git2cl
PYTHON ?= python

#: Default target. Same as "build"
all: build

#: Run all tests
check:  build
	./setup.py nosetests

#: Remove OS- and platform-specific derived files.
clean:
	$(PYTHON) ./setup.py clean --all && rm -f *.so || /bin/true

#: Create source and binary distribution
dist:
	$(PYTHON) ./setup.py sdist bdist

#: Do what it takes to build software locally
build:
	$(PYTHON) ./setup.py build

# It is too much work to figure out how to add a new command to distutils
# to do the following. I'm sure distutils will someday get there.
DISTCLEAN_FILES = build dist *.egg-info *.pyc *.so *.dll py*.py \
		  swig/cdtext.swg pycdio.py pyiso9660.py \
                  example/*.pyc example/copying swig/py*_wrap.c test/*.pyc

#: Remove all derived files. Like "clean" on steroids.
distclean: clean
	-rm -fr $(DISTCLEAN_FILES) || true

#: Install package
install:
	$(PYTHON) ./setup.py install

#: Same as check
test: check

#: create ChangeLog fom git log via git2cl
ChangeLog:
	git log --pretty --numstat --summary | $(GIT2CL) >$@

.PHONY: $(PHONY)

## pycdio 2.1.0

=== debian/changelog ===
pycdio (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * source/options: Extend diff-ignore.
  * control: Correct python dev dependency. (Closes: #950640)
  * control: Use debhelper-compat.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 Feb 2020 21:35:13 +0200

pycdio (2.0.0-1) unstable; urgency=low

  * Initial upload. (Closes: #543296)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Aug 2019 10:54:23 +0300

=== debian/control ===
Source: pycdio
Maintainer: Timo Aaltonen <tjaalton@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 libcdio-dev,
 libiso9660-dev,
 pkg-config,
 python3-all-dev,
 python3-nose,
 python3-setuptools,
 swig,
Standards-Version: 4.4.0
Homepage: http://git.savannah.gnu.org/cgit/libcdio/pycdio.git/
Vcs-Git: https://salsa.debian.org/debian/pycdio.git
Vcs-Browser: https://salsa.debian.org/debian/pycdio

Package: python3-cdio
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python3 interface to libcdio optical media control library
 pycdio is a Python interface to the CD Input and Control library
 (libcdio).
 .
 This package includes the python3 version.

## pycdio 2.1.1

=== debian/changelog ===
pycdio (2.1.1-1.2build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:36:18 +0000

pycdio (2.1.1-1.2build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:48:01 +0000

pycdio (2.1.1-1.2build2) plucky; urgency=medium

  * Rebuild against latest libcdio

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 30 Jan 2025 16:21:50 -0500

pycdio (2.1.1-1.2build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:03:52 +0100

pycdio (2.1.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace python3-nose with python3-pytest (Closes: #1018444)
  * Replace pkg-config with pkgconf
  * Set Rules-Requires-Root: no
  * Switch to DebHelper 13

 -- Alexandre Detiste <tchet@debian.org>  Wed, 11 Sep 2024 15:09:28 +0200

pycdio (2.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix compatibility with Python 3.12 (Closes: #1055563)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Dec 2023 12:06:13 +0100

pycdio (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 4.6.0.
  * source: Update extend-diff-ignore.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 30 Aug 2021 13:59:08 +0300

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  libcdio-dev,
  libiso9660-dev,
- pkg-config,
+ pkgconf,
  python3-all-dev,
- python3-nose,
+ python3-pytest,
  python3-setuptools,
  swig,
-Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 Homepage: http://git.savannah.gnu.org/cgit/libcdio/pycdio.git/
 Vcs-Git: https://salsa.debian.org/debian/pycdio.git
 Vcs-Browser: https://salsa.debian.org/debian/pycdio

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cdio
export PYBUILD_BEFORE_TEST=cp -rv {dir}/test {build_dir}/ ; cd {build_dir}/ && ln -s test data
export PYBUILD_AFTER_TEST=rm -f {build_dir}/data
export PYBUILD_TEST_ARGS=test/test*.py

%:
	dh $@ --buildsystem=pybuild --builddirectory=build

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python*-cdio/usr/lib/python*/dist-packages/pycdio-*.egg-info

override_dh_clean:
	dh_clean
	rm -f pycdio.py pyiso9660.py swig/pycdio_wrap.c swig/pyiso9660_wrap.c
	rm -rf __pycache__

=== debian/watch ===
version=4
https://pypi.debian.net/pycdio/pycdio-@ANY_VERSION@\.tar\.gz
